scala.collection.jcl.SortedMap.Range
class Filter

[source: `scala/collection/jcl/SortedMap/Range.scala`]

`protected` `class` Filter(p : (K) => Boolean)
  `extends` Filter

Method Summary
`override def` | filterKeys (p0 : (K) => Boolean) : Projection[K, E] non-strict filter based on keys only
`override def` | rangeImpl (from : Option[K], until : Option[K]) : Projection[K, E] Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Methods inherited from Filter
compare

Methods inherited from Projection
projection

Methods inherited from SortedMap
firstKey, lastKey, keySet, lense, Range

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
elements, removeKey, contains, put, get, size

Methods inherited from Projection
map

Methods inherited from Map
clear, isEmpty, keys, valueSet, ++=, has, update, +, +=, -, remove, -=

Methods inherited from Map
+=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, equals, hashCode, toString, default, mapElements, stringPrefix

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Projection
filter

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, --, -, retainOnly, retainAll, size0

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, partition, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` filterKeys(p0 : (K) => Boolean) : Projection[K, E]

  non-strict filter based on keys only

Overrides
  Filter.filterKeys

`override` `def` rangeImpl(from : Option[K], until : Option[K]) : Projection[K, E]

  Creates a ranged projection of this collection. Any mutations in the ranged projection will update this collection and vice versa. Keys are garuanteed to be consistent between the collection and its projection.

Parameters
  `from -` The lower-bound (inclusive) of the ranged projection. `None` if there is no lower bound.
  `until -` The upper-bound (exclusive) of the ranged projection. `None` if there is no upper bound.

Overrides
  Filter.rangeImpl